This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Use concrete classes inherited from OSError instead of errno check
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: 16706 16715 16716 16717 17650 17651 Superseder:
Assigned To: asvetlov Nosy List: asvetlov, python-dev
Priority: normal Keywords:

Created on 2012-12-17 20:31 by asvetlov, last changed 2022-04-11 14:57 by admin. This issue is now closed.

Messages (3)
msg177668 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-12-17 20:31
Probably it is long enough work and should be done in several iteration after converting all exceptions like IOError, EnvironmentError, WindowsError, mmap.error, socket.error and select.error to OSError.
msg177669 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-12-17 20:55
New changeset 7aa2ccc5aef1 by Andrew Svetlov in branch 'default':
Replace mmap.error with OSError, #16705
http://hg.python.org/cpython/rev/7aa2ccc5aef1
msg177670 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-12-17 21:35
New changeset 061e9a439f54 by Andrew Svetlov in branch 'default':
Get rig of EnvironmentError (#16705)
http://hg.python.org/cpython/rev/061e9a439f54
History
Date User Action Args
2022-04-11 14:57:39adminsetgithub: 60909
2018-01-29 13:48:32asvetlovsetstatus: open -> closed
resolution: fixed
stage: resolved
2013-04-07 13:53:14asvetlovsetdependencies: + There is no exception correspond to errno EROFS
2013-04-07 13:46:08asvetlovsetdependencies: + Errno checking replaced by concrete classes inherited from OSError
2012-12-18 20:14:04asvetlovsetdependencies: + Get rid of socket.error. Use OSError instead
2012-12-18 20:09:14asvetlovsetdependencies: + Deprecate OSError aliases in the doc
2012-12-18 19:37:23asvetlovsetdependencies: + Get rid of os.error. Use OSError instead, Get rid of IOError. Use OSError instead
2012-12-17 21:35:32python-devsetmessages: + msg177670
2012-12-17 20:55:42python-devsetnosy: + python-dev
messages: + msg177669
2012-12-17 20:31:54asvetlovlinkissue16648 dependencies
2012-12-17 20:31:39asvetlovcreate